Gov
Path Parameters
Responses
objectDeprecated: Prefer to use params instead.
voting_params defines the parameters related to voting.
objectDeprecated: Prefer to use params instead.
deposit_params defines the parameters related to deposit.
objectDeprecated: Prefer to use params instead.
tally_params defines the parameters related to tally.
Query Parameters
stringproposal_status defines the status of the proposals.
- PROPOSAL_STATUS_UNSPECIFIED: PROPOSAL_STATUS_UNSPECIFIED defines the default proposal status.
- PROPOSAL_STATUS_DEPOSIT_PERIOD: PROPOSAL_STATUS_DEPOSIT_PERIOD defines a proposal status during the deposit period.
- PROPOSAL_STATUS_VOTING_PERIOD: PROPOSAL_STATUS_VOTING_PERIOD defines a proposal status during the voting period.
- PROPOSAL_STATUS_PASSED: PROPOSAL_STATUS_PASSED defines a proposal status of a proposal that has passed.
- PROPOSAL_STATUS_REJECTED: PROPOSAL_STATUS_REJECTED defines a proposal status of a proposal that has been rejected.
- PROPOSAL_STATUS_FAILED: PROPOSAL_STATUS_FAILED defines a proposal status of a proposal that has failed.
PROPOSAL_STATUS_UNSPECIFIEDPROPOSAL_STATUS_DEPOSIT_PERIODPROPOSAL_STATUS_VOTING_PERIODPROPOSAL_STATUS_PASSEDPROPOSAL_STATUS_REJECTEDstringkey is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
string <uint64>offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
string <uint64>limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
booleancount_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.
Responses
Proposal
/cosmos/gov/v1/proposals/{proposal_id}Proposal queries proposal details based on ProposalID.
Deposits
/cosmos/gov/v1/proposals/{proposal_id}/depositsDeposits queries all deposits of a single proposal.
Path Parameters
Query Parameters
stringkey is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
string <uint64>offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
string <uint64>limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
booleancount_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.
Responses
Deposit
/cosmos/gov/v1/proposals/{proposal_id}/deposits/{depositor}Deposit queries single deposit information based on proposalID, depositAddr.
TallyResult
/cosmos/gov/v1/proposals/{proposal_id}/tallyTallyResult queries the tally of a proposal vote.
Path Parameters
Query Parameters
stringkey is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
string <uint64>offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
string <uint64>limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
booleancount_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.
Responses
Vote
/cosmos/gov/v1/proposals/{proposal_id}/votes/{voter}Vote queries voted information based on proposalID, voterAddr.
Query Parameters
stringproposal_status defines the status of the proposals.
- PROPOSAL_STATUS_UNSPECIFIED: PROPOSAL_STATUS_UNSPECIFIED defines the default proposal status.
- PROPOSAL_STATUS_DEPOSIT_PERIOD: PROPOSAL_STATUS_DEPOSIT_PERIOD defines a proposal status during the deposit period.
- PROPOSAL_STATUS_VOTING_PERIOD: PROPOSAL_STATUS_VOTING_PERIOD defines a proposal status during the voting period.
- PROPOSAL_STATUS_PASSED: PROPOSAL_STATUS_PASSED defines a proposal status of a proposal that has passed.
- PROPOSAL_STATUS_REJECTED: PROPOSAL_STATUS_REJECTED defines a proposal status of a proposal that has been rejected.
- PROPOSAL_STATUS_FAILED: PROPOSAL_STATUS_FAILED defines a proposal status of a proposal that has failed.
PROPOSAL_STATUS_UNSPECIFIEDPROPOSAL_STATUS_DEPOSIT_PERIODPROPOSAL_STATUS_VOTING_PERIODPROPOSAL_STATUS_PASSEDPROPOSAL_STATUS_REJECTEDstringkey is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
string <uint64>offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
string <uint64>limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
booleancount_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.
Responses
Proposal
/cosmos/gov/v1beta1/proposals/{proposal_id}Proposal queries proposal details based on ProposalID.
Deposits
/cosmos/gov/v1beta1/proposals/{proposal_id}/depositsDeposits queries all deposits of a single proposal.
Path Parameters
Query Parameters
stringkey is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
string <uint64>offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
string <uint64>limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
booleancount_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.
Responses
Deposit
/cosmos/gov/v1beta1/proposals/{proposal_id}/deposits/{depositor}Deposit queries single deposit information based on proposalID, depositor address.
TallyResult
/cosmos/gov/v1beta1/proposals/{proposal_id}/tallyTallyResult queries the tally of a proposal vote.
Path Parameters
Query Parameters
stringkey is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
string <uint64>offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
string <uint64>limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
booleancount_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.
Responses
Vote
/cosmos/gov/v1beta1/proposals/{proposal_id}/votes/{voter}Vote queries voted information based on proposalID, voterAddr.